+Release candidate Zebra version 2.0.0 prepared.
+
Zebra uses string attributes for indexing internally. Using set+numeric
use attribute can still be used. But that is a search-only conversion which
inspects .att-set files as indicated using attset-directives in zebra.cfg.
Documentation
-------------
You'll find documentation in subdirectory 'doc' in various
-formats (PDF, HTML, Docbook XML). You can also browse the
+formats (HTML, Docbook XML). You can also browse the
documentation from the zebra home page.
Installation
------------
-Install YAZ. Optional external packages: Tcl, iconv and EXPAT.
-Many Unices already have Tcl, iconv and EXPAT installed.
+Install YAZ. Optional external packages: Tcl, iconv, EXPAT, libxml2
+and libxslt1.
+
Quick compile and install:
./configure
make
make install
+
For detailed instructions and Windows installation refer to
the documentation.
Support
------
-To get more information or assistance, send mail to zebra-help@indexdata.dk
+To get more information or assistance, send mail to info@indexdata.dk
We maintain a mailing-list for the purpose of announcing new versions of
the software, bug-reports, discussion etc. You can sign up at the URL
http://www.indexdata.dk/mailman/listinfo/zebralist
-$Id: README,v 1.20 2006-06-13 14:50:39 adam Exp $
+$Id: README,v 1.21 2006-06-26 15:11:19 marc Exp $
--- /dev/null
+YAZ TODO $Id: TODO,v 1.18 2006-06-26 15:11:19 marc Exp $
+
+Version numbers are manually maintained in
+ configure.ac
+ include/idzebra/version.h
+ NEWS
+ win/zebra.nsi
+ debian/changelog
+ debian/rules (dh_makeshlibs line if API has been extended)
-## $Id: Makefile.am,v 1.5 2005-03-30 09:25:23 adam Exp $ Copyright (C) 1994-1998, Index Data ApS
+## $Id: Makefile.am,v 1.6 2006-06-26 15:11:21 marc Exp $ Copyright (C) 1994-1998, Index Data ApS
lib_LTLIBRARIES = libidzebra-bfile.la
check_PROGRAMS = tstbfile1
AM_CPPFLAGS = -I$(top_srcdir)/include $(YAZINC)
+libidzebra_bfile_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_bfile_la_SOURCES = bfile.c mfile.c cfile.c commit.c cfile.h mfile.h
LDADD = libidzebra-bfile.la ../util/libidzebra-util.la $(YAZLALIB)
dnl Zebra, Index Data ApS, 1995-2006
-dnl $Id: configure.ac,v 1.18 2006-06-13 15:10:43 adam Exp $
+dnl $Id: configure.ac,v 1.19 2006-06-26 15:11:19 marc Exp $
dnl
AC_PREREQ(2.59)
-AC_INIT([idzebra],[1.4.1],[adam@indexdata.dk])
+AC_INIT([idzebra],[2.0.0],[adam@indexdata.dk])
AC_CONFIG_SRCDIR(configure.ac)
AC_CONFIG_AUX_DIR(config)
AM_INIT_AUTOMAKE([1.8])
+ZEBRAPKG_VERSION=2.0
+AC_SUBST(ZEBRAPKG_VERSION)
+ZEBRALIBS_VERSION=2:0:0
+AC_SUBST(ZEBRALIBS_VERSION)
+
dnl ------ Substitutions
AC_SUBST(TCL_INCLUDE)
AC_SUBST(TCL_LIB)
-## $Id: Makefile.am,v 1.2 2004-08-24 10:37:18 adam Exp $
+## $Id: Makefile.am,v 1.3 2006-06-26 15:11:22 marc Exp $
lib_LTLIBRARIES=libidzebra-data1.la
+libidzebra_data1_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_data1_la_SOURCES = d1_handle.c d1_read.c d1_attset.c d1_tagset.c \
d1_absyn.c d1_grs.c d1_sutrs.c d1_varset.c d1_espec.c d1_doespec.c d1_map.c \
d1_marc.c d1_write.c d1_expout.c d1_sumout.c d1_soif.c d1_prtree.c d1_if.c
+idzebra (2.0.0-1) unstable; urgency=low
+
+ * First production release of Zebra 2.0 series.
+ * String attributes used internally, mapping to numeric attributes
+ during search
+ * Documentation of architecture, querymodel and SRU server added
+ * Example configuration for Alvis filter indexed MARCXML and OAI records
+ added
+ * Bug closes: #124 #431 #447 #451 #454 #460 #461 #462 #465 #472 #529
+ #549 #576 #588 #594 #597 #602 #616 #617
+
+ -- marc <marc@indexdata.dk> Mon, 26 Jun 2006 12:00:31 +0200
+
idzebra (1.4.0-2) unstable; urgency=low
* Added Alvis XSLT filter debian package libidzebra1.4-mod-alvis.
-- Marc Cromme <marc@indexdata.dk> Mon, 12 Dec 2005 13:49:07 +0100
-
idzebra (1.4.0-1) unstable; urgency=low
* New package structure. Zebra 1.4 series.
Standards-Version: 3.6.0
Build-Depends: libyaz-dev (>= 2.0.2), libexpat1-dev, tcl8.4-dev, libbz2-dev, libxslt1-dev
-Package: idzebra1.4
+Package: idzebra2.0
Section: text
Architecture: any
-Provides: libidzebra1.4-dev, idzebra1.4-utils, libidzebra1.4-modules, idzebra1.4-doc
+Provides: libidzebra2.0-dev, idzebra2.0-utils, libidzebra2.0-modules, idzebra2.0-doc
Description: IDZebra virtual package (the works)
This virtual package installs all the necessary packages to start
working with IDZebra - including utility programs, development libraries,
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-modules
+Package: libidzebra2.0-modules
Section: libs
Architecture: any
-Provides: libidzebra1.4-mod-grs-xml, libidzebra1.4-mod-grs-regx, libidzebra1.4-mod-marc, libidzebra1.4-mod-danbib
+Provides: libidzebra2.0-mod-grs-xml, libidzebra2.0-mod-grs-regx, libidzebra2.0-mod-marc
Description: IDZebra modules
This virtual package contains all base IDZebra filter modules.
.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra1.4-common
+Package: idzebra2.0-common
Section: text
Architecture: all
Conflicts: idzebra
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra1.4-utils
+Package: idzebra2.0-utils
Section: text
Architecture: any
Depends: ${shlibs:Depends}
-Recommends: idzebra1.4-mod-grs-xml, idzebra1.4-mod-grs-regx, idzebra1.4-mod-marc
+Recommends: idzebra2.0-mod-grs-xml, idzebra2.0-mod-grs-regx, idzebra2.0-mod-marc
Conflicts: idzebra
Description: IDZebra utility programs
This package contains IDZebra utilities such as the zebraidx indexer
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-dev
+Package: libidzebra2.0-dev
Section: devel
Architecture: any
-Depends: libidzebra1.4 (= ${Source-Version})
+Depends: libidzebra2.0 (= ${Source-Version})
Description: IDZebra development
This package contains IDZebra development files, such as libraries
and header files.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4
+Package: libidzebra2.0
Section: libs
Architecture: any
-Depends: ${shlibs:Depends}, idzebra1.4-common
+Depends: ${shlibs:Depends}, idzebra2.0-common
Conflicts: idzebra
Description: IDZebra libraries
This package contains all run-time libraries for IDZebra.
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-mod-alvis
+Package: libidzebra2.0-mod-alvis
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-mod-grs-marc
+Package: libidzebra2.0-mod-grs-marc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-mod-grs-danbib
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}
-Description: IDZebra filter grs.danbib (DBC DanBib records)
- This package includes grs.danbib filter which parses DanBib records.
- DanBib is the Danish Union Catalogue hosted by DBC
- (Danish Bibliographic Centre).
- .
- IDZebra is a high-performance, general-purpose structured text indexing
- and retrieval engine. It reads structured records in a variety of input
- formats (eg. email, XML, MARC) and allows access to them through exact
- boolean search expressions and relevance-ranked free-text queries.
-
-Package: libidzebra1.4-mod-grs-regx
+Package: libidzebra2.0-mod-grs-regx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: libidzebra1.4-mod-grs-xml
+Package: libidzebra2.0-mod-grs-xml
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
formats (eg. email, XML, MARC) and allows access to them through exact
boolean search expressions and relevance-ranked free-text queries.
-Package: idzebra1.4-doc
+Package: idzebra2.0-doc
Section: doc
Architecture: all
Conflicts: idzebra
+++ /dev/null
-#! /bin/sh
-# $Id: idzebra1.4-common.init,v 1.1 2004-10-18 13:29:25 marc Exp $
-# Start and stop toolkit lite administered idzebra script for Debian.
-# change runlevels using update-rc.d
-
-test -x /usr/bin/zebrasrv || exit 0
-test -x /usr/bin/zebraidx || exit 0
-test -f /etc/default/zebra || exit 0
-source /etc/default/zebra
-
-# Now sourced from /etc/default/zebra
-ZEBRA_USER=zebra
-ZEBRA_GROUP=zebra
-
-#ZEBRA_CONF_FILE=/etc/zebra.conf
-#ZEBRA_LOG_DIR=/var/log/zebra
-#ZEBRA_PID_DIR=/var/run/zebra
-#ZEBRA_TMP_DIR=/var/tmp/zebra
-
-ZEBRA_DIRS="/home/marc/projects/alvis"
-ZEBRA_INDEX_DIRS="data"
-
-# set socket connection method
-#ZEBRA_SOCKET="tcp:@:210"
-ZEBRA_SOCKET="unix:db/socket"
-
-
-# define display message
-display_ZEBRA_message(){
- echo "Usage:"
- echo " As root:"
- echo -n " /etc/init.d/zebra {start|stop|reload|force-reload|restart}"
- echo " [/path/to/root/dir]"
- echo " As root or $ZEBRA_USER:"
- echo " /etc/init.d/zebra {index|reindex} [/path/to/root/dir [sub/dir] ]"
-}
-
-# make sure we are root or $ZEBRA_USER
-ZEBRA_CURR_USER=`whoami`;
-if [ $ZEBRA_CURR_USER != $ZEBRA_USER -a $ZEBRA_CURR_USER != "root" ] ; then
- display_ZEBRA_message ;
- echo " Error: you are not root or $ZEBRA_USER";
- exit 1;
-fi
-
-
-# perform usual init.d daemon services
-case "$1" in
- start)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- # loop through all entries defined in /etc/zebra.conf
- for d in $ZEBRA_DIRS; do
- echo -n "Starting zebra: "
- echo -n "$d " ;
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo "";
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ ! -f $d/db/lock/zebrasrv.pid ] ; then
- start-stop-daemon --start --quiet --background --pidfile $d/db/lock/zebrasrv.pid --exec /usr/bin/zebrasrv -- -w $d -u $ZEBRA_USER -c db/zebra.cfg -l db/server.log $ZEBRA_SOCKET ;
-
- # check for running zebra not performed
- #sleep 1
- #if [ -f $d/db/lock/zebrasrv.pid ] ; then
- # echo -n "started "
- #cat $d/db/lock/zebrasrv.pid
- # echo -n " "
- #else
- # echo -n "error "
- #fi
- else
- echo -n "already running "
- fi
- echo
- done
- #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
- ;;
-
- stop)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- # loop through all entries defined in /etc/zebra.conf
- for d in $ZEBRA_DIRS; do
- echo -n "Stopping zebra: "
- echo -n "$d " ;
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo "";
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ -f $d/db/lock/zebrasrv.pid ] ; then
- start-stop-daemon --stop --quiet --oknodo --pidfile $d/db/lock/zebrasrv.pid ;
- #sleep 1
- #if ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
- # kill -9 `cat $d/db/lock/zebrasrv.pid`
- # echo -n "-9 "
- #fi
- #if [ -f $d/db/lock/zebrasrv.pid ] && ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
- # echo -n "error "
- #else
- # echo -n "stopped "
- #fi
- #if [ -f $d/db/lock/zebrasrv.pid ] ; then
- #rm -f $d/db/lock/zebrasrv.pid
- #echo -n "removed PID file"
- #fi
- else
- echo -n "already dead "
- fi
- echo
- done
- #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
- ;;
-
- restart|reload|force-reload)
- # make sure we are root
- if [ `whoami` != root ]; then
- display_ZEBRA_message ;
- echo " Error: you are not root";
- exit 1;
- fi
-
- $0 stop $2
- #sleep 1
- $0 start $2
- ;;
-
- reindex|index)
- # make sure that indexing is done as user $ZEBRA_USER
- if test `whoami` != $ZEBRA_USER; then
- su -s /bin/sh -c "$0 $*" $ZEBRA_USER
- exit 0
- fi
-
- # read zebra dir from command line
- if [ $2 ] ; then
- ZEBRA_DIRS=$2
- fi
-
- for d in $ZEBRA_DIRS; do
- # allow all scripts to be called with one specific entrie
- # directory as third argument
-
- if [ ! -f $d/db/zebra.cfg ] ; then
- echo -n "Indexing zebra: "
- echo "$d "
- echo " Error: config file $d/db/zebra.cfg not found";
- continue;
- fi
-
- if [ $3 ] ; then
- # only indexing one additionally directory
- ZEBRA_INDEX_DIRS=$3;
- if [ ! -d $d/$ZEBRA_INDEX_DIRS ] ; then
- #$0 ; # trigger user info
- echo " Error: there is no directory $3";
- echo " in zebra dir $d";
- echo " Can not index $d/$ZEBRA_INDEX_DIRS";
- exit 1;
- fi
- if ( echo $ZEBRA_INDEX_DIRS | grep "^/" ) ; then
- #$0 ; # trigger user info
- echo " Error: third argument $3";
- echo " must not contain leading slash";
- exit 1;
- fi
-
- echo -n "Indexing zebra: "
- echo -n "$d "
-
- (cd $d ;
- # initalization and commiting db to get a fresh slate
- for DIR in $ZEBRA_INDEX_DIRS ; do
- echo -n "$DIR "
- zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
- done
- zebraidx -l db/index.log -c db/zebra.cfg commit ;
- )
- echo
- else
- # indexing a whole entrie - findZEBRA_INDEX_DIRD makes the work
- # findZEBRA_INDEX_DIRS "$d" ;
- echo -n "Indexing zebra: "
- echo -n "$d "
- (cd $d ;
- # initalization and commiting db to get a fresh slate
- zebraidx -l db/index.log -c db/zebra.cfg init ;
- for DIR in $ZEBRA_INDEX_DIRS ; do
- echo -n "$DIR "
- zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
- done
- zebraidx -l db/index.log -c db/zebra.cfg commit ;
- )
- echo
- fi
- done
- ;;
-
- *)
- display_ZEBRA_message ;
- exit 1;
-esac
-
-exit 0
-
-
+++ /dev/null
-usr/share/idzebra
+++ /dev/null
-usr/share/doc/idzebra-doc
+++ /dev/null
-usr/bin/zebraidx
-usr/bin/zebrasrv
+++ /dev/null
-doc/zebrasrv.8
-doc/zebraidx.1
--- /dev/null
+#! /bin/sh
+# $Id: idzebra2.0-common.init.test,v 1.1 2006-06-26 15:11:24 marc Exp $
+# Start and stop toolkit lite administered idzebra script for Debian.
+# change runlevels using update-rc.d
+
+test -x /usr/bin/zebrasrv || exit 0
+test -x /usr/bin/zebraidx || exit 0
+test -f /etc/default/zebra || exit 0
+source /etc/default/zebra
+
+# Now sourced from /etc/default/zebra
+ZEBRA_USER=zebra
+ZEBRA_GROUP=zebra
+
+#ZEBRA_CONF_FILE=/etc/zebra.conf
+#ZEBRA_LOG_DIR=/var/log/zebra
+#ZEBRA_PID_DIR=/var/run/zebra
+#ZEBRA_TMP_DIR=/var/tmp/zebra
+
+ZEBRA_DIRS="/home/marc/projects/alvis"
+ZEBRA_INDEX_DIRS="data"
+
+# set socket connection method
+#ZEBRA_SOCKET="tcp:@:210"
+ZEBRA_SOCKET="unix:db/socket"
+
+
+# define display message
+display_ZEBRA_message(){
+ echo "Usage:"
+ echo " As root:"
+ echo -n " /etc/init.d/zebra {start|stop|reload|force-reload|restart}"
+ echo " [/path/to/root/dir]"
+ echo " As root or $ZEBRA_USER:"
+ echo " /etc/init.d/zebra {index|reindex} [/path/to/root/dir [sub/dir] ]"
+}
+
+# make sure we are root or $ZEBRA_USER
+ZEBRA_CURR_USER=`whoami`;
+if [ $ZEBRA_CURR_USER != $ZEBRA_USER -a $ZEBRA_CURR_USER != "root" ] ; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root or $ZEBRA_USER";
+ exit 1;
+fi
+
+
+# perform usual init.d daemon services
+case "$1" in
+ start)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ # loop through all entries defined in /etc/zebra.conf
+ for d in $ZEBRA_DIRS; do
+ echo -n "Starting zebra: "
+ echo -n "$d " ;
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo "";
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ ! -f $d/db/lock/zebrasrv.pid ] ; then
+ start-stop-daemon --start --quiet --background --pidfile $d/db/lock/zebrasrv.pid --exec /usr/bin/zebrasrv -- -w $d -u $ZEBRA_USER -c db/zebra.cfg -l db/server.log $ZEBRA_SOCKET ;
+
+ # check for running zebra not performed
+ #sleep 1
+ #if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ # echo -n "started "
+ #cat $d/db/lock/zebrasrv.pid
+ # echo -n " "
+ #else
+ # echo -n "error "
+ #fi
+ else
+ echo -n "already running "
+ fi
+ echo
+ done
+ #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
+ ;;
+
+ stop)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ # loop through all entries defined in /etc/zebra.conf
+ for d in $ZEBRA_DIRS; do
+ echo -n "Stopping zebra: "
+ echo -n "$d " ;
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo "";
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ start-stop-daemon --stop --quiet --oknodo --pidfile $d/db/lock/zebrasrv.pid ;
+ #sleep 1
+ #if ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
+ # kill -9 `cat $d/db/lock/zebrasrv.pid`
+ # echo -n "-9 "
+ #fi
+ #if [ -f $d/db/lock/zebrasrv.pid ] && ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid` ; then
+ # echo -n "error "
+ #else
+ # echo -n "stopped "
+ #fi
+ #if [ -f $d/db/lock/zebrasrv.pid ] ; then
+ #rm -f $d/db/lock/zebrasrv.pid
+ #echo -n "removed PID file"
+ #fi
+ else
+ echo -n "already dead "
+ fi
+ echo
+ done
+ #ps -C zebrasrv | grep `cat $d/db/lock/zebrasrv.pid`
+ ;;
+
+ restart|reload|force-reload)
+ # make sure we are root
+ if [ `whoami` != root ]; then
+ display_ZEBRA_message ;
+ echo " Error: you are not root";
+ exit 1;
+ fi
+
+ $0 stop $2
+ #sleep 1
+ $0 start $2
+ ;;
+
+ reindex|index)
+ # make sure that indexing is done as user $ZEBRA_USER
+ if test `whoami` != $ZEBRA_USER; then
+ su -s /bin/sh -c "$0 $*" $ZEBRA_USER
+ exit 0
+ fi
+
+ # read zebra dir from command line
+ if [ $2 ] ; then
+ ZEBRA_DIRS=$2
+ fi
+
+ for d in $ZEBRA_DIRS; do
+ # allow all scripts to be called with one specific entrie
+ # directory as third argument
+
+ if [ ! -f $d/db/zebra.cfg ] ; then
+ echo -n "Indexing zebra: "
+ echo "$d "
+ echo " Error: config file $d/db/zebra.cfg not found";
+ continue;
+ fi
+
+ if [ $3 ] ; then
+ # only indexing one additionally directory
+ ZEBRA_INDEX_DIRS=$3;
+ if [ ! -d $d/$ZEBRA_INDEX_DIRS ] ; then
+ #$0 ; # trigger user info
+ echo " Error: there is no directory $3";
+ echo " in zebra dir $d";
+ echo " Can not index $d/$ZEBRA_INDEX_DIRS";
+ exit 1;
+ fi
+ if ( echo $ZEBRA_INDEX_DIRS | grep "^/" ) ; then
+ #$0 ; # trigger user info
+ echo " Error: third argument $3";
+ echo " must not contain leading slash";
+ exit 1;
+ fi
+
+ echo -n "Indexing zebra: "
+ echo -n "$d "
+
+ (cd $d ;
+ # initalization and commiting db to get a fresh slate
+ for DIR in $ZEBRA_INDEX_DIRS ; do
+ echo -n "$DIR "
+ zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
+ done
+ zebraidx -l db/index.log -c db/zebra.cfg commit ;
+ )
+ echo
+ else
+ # indexing a whole entrie - findZEBRA_INDEX_DIRD makes the work
+ # findZEBRA_INDEX_DIRS "$d" ;
+ echo -n "Indexing zebra: "
+ echo -n "$d "
+ (cd $d ;
+ # initalization and commiting db to get a fresh slate
+ zebraidx -l db/index.log -c db/zebra.cfg init ;
+ for DIR in $ZEBRA_INDEX_DIRS ; do
+ echo -n "$DIR "
+ zebraidx -L -l db/index.log -c db/zebra.cfg update $DIR ;
+ done
+ zebraidx -l db/index.log -c db/zebra.cfg commit ;
+ )
+ echo
+ fi
+ done
+ ;;
+
+ *)
+ display_ZEBRA_message ;
+ exit 1;
+esac
+
+exit 0
+
+
--- /dev/null
+usr/share/idzebra2.0
--- /dev/null
+usr/share/doc/idzebra2.0-doc
--- /dev/null
+usr/bin/zebraidx
+usr/bin/zebrasrv
--- /dev/null
+doc/zebrasrv.8
+doc/zebraidx.1
+++ /dev/null
-usr/bin/idzebra-config
-usr/lib/libidzebra-*.so
-usr/lib/libidzebra-*.la
-usr/lib/libidzebra-*.a
-usr/share/aclocal
-usr/include/idzebra
+++ /dev/null
-doc/idzebra-config.1
+++ /dev/null
-usr/lib/idzebra/mod-alvis.so
+++ /dev/null
-usr/lib/idzebra/mod-grs-danbib.so
+++ /dev/null
-usr/lib/idzebra/mod-grs-marc.so
+++ /dev/null
-usr/lib/idzebra/mod-grs-regx.so
+++ /dev/null
-usr/lib/idzebra/mod-grs-xml.so
+++ /dev/null
-usr/lib/libidzebra-*.so.0*
--- /dev/null
+usr/bin/idzebra-config
+usr/lib/libidzebra-*.so
+usr/lib/libidzebra-*.la
+usr/lib/libidzebra-*.a
+usr/share/aclocal
+usr/include/idzebra
--- /dev/null
+doc/idzebra-config.1
--- /dev/null
+usr/lib/idzebra2.0/mod-alvis.so
--- /dev/null
+usr/lib/idzebra2.0/mod-grs-marc.so
--- /dev/null
+usr/lib/idzebra2.0/mod-grs-regx.so
--- /dev/null
+usr/lib/idzebra2.0/mod-grs-xml.so
--- /dev/null
+usr/lib/libidzebra-*.so.*
dh_installchangelogs
dh_installdocs
dh_installexamples
- mv debian/tmp/usr/share/doc/idzebra debian/tmp/usr/share/doc/idzebra-doc
+
+# moving files to correct dirs
+ mv debian/tmp/usr/share/doc/idzebra debian/tmp/usr/share/doc/idzebra2.0-doc
+ mv debian/tmp/usr/share/idzebra debian/tmp/usr/share/idzebra2.0
+ mv debian/tmp/usr/lib/idzebra debian/tmp/usr/lib/idzebra2.0
+
dh_install --sourcedir=debian/tmp
# dh_installmenu
# dh_installdebconf
dh_fixperms
# dh_perl
# dh_python
- dh_makeshlibs -V 'libidzebra1.4 (>= 1.4.0)' -X mod-
+ dh_makeshlibs -V 'libidzebra2.0 (>= 2.0.0)' -X mod-
dh_installdeb
- dh_shlibdeps -l debian/libidzebra1.4/usr/lib
+ dh_shlibdeps -l debian/libidzebra2.0/usr/lib
dh_gencontrol
dh_md5sums
dh_builddeb
-## $Id: Makefile.am,v 1.6 2004-09-30 08:16:48 adam Exp $
+## $Id: Makefile.am,v 1.7 2006-06-26 15:11:26 marc Exp $
lib_LTLIBRARIES = libidzebra-dfa.la
grepper_SOURCES = grepper.c
+libidzebra_dfa_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_dfa_la_SOURCES = dfa.c imalloc.c states.c set.c bset.c \
dfap.h imalloc.h lexer.h
-## $Id: Makefile.am,v 1.12 2006-04-27 20:40:41 marc Exp $
+## $Id: Makefile.am,v 1.13 2006-06-26 15:11:28 marc Exp $
lib_LTLIBRARIES = libidzebra-dict.la
noinst_PROGRAMS = dicttest dictext
../util/libidzebra-util.la \
$(YAZLALIB)
+libidzebra_dict_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_dict_la_SOURCES = dopen.c dclose.c drdwr.c open.c close.c \
insert.c lookup.c lookupec.c lookgrep.c delete.c scan.c dcompact.c \
dict-p.h
-## $Id: Makefile.am,v 1.49 2006-06-22 14:01:55 marc Exp $
+## $Id: Makefile.am,v 1.50 2006-06-26 15:11:29 marc Exp $
docdir=$(datadir)/doc/@PACKAGE@
SUBDIRS = common
gfs-config.html \
grs-exchange-formats.html \
grs-internal-representation.html \
- htmlhelp.hhp \
index.html \
indexdata.html \
installation.debian.html \
shadow-registers.html \
simple-indexing.html \
support.html \
- toc.hhc \
- zebraidx.html
+ zebraidx.html \
+ htmlhelp.hhp \
+ toc.hhc
PNGFILES=zebra.png
-/* $Id: version.h,v 1.5 2006-06-13 12:03:58 adam Exp $
+/* $Id: version.h,v 1.6 2006-06-26 15:11:31 marc Exp $
Copyright (C) 1995-2005
Index Data ApS
#ifndef ZEBRAVER
-#define ZEBRAVER "1.4.1"
+#define ZEBRAVER "2.0.0"
-#define ZEBRADATE "$Date: 2006-06-13 12:03:58 $"
+#define ZEBRADATE "$Date: 2006-06-26 15:11:31 $"
#endif
/*
-## $Id: Makefile.am,v 1.41 2006-06-12 09:39:18 marc Exp $
+## $Id: Makefile.am,v 1.42 2006-06-26 15:11:33 marc Exp $
+
noinst_PROGRAMS = apitest kdump
lib_LTLIBRARIES = libidzebra-api.la
+libidzebra_api_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_api_la_SOURCES = \
api_swig.c attribute.c \
compact.c \
-## $Id: Makefile.am,v 1.8 2006-04-27 20:40:41 marc Exp $
+## $Id: Makefile.am,v 1.9 2006-06-26 15:11:34 marc Exp $
lib_LTLIBRARIES = libidzebra-isamb.la
../bfile/libidzebra-bfile.la \
../util/libidzebra-util.la $(YAZLALIB)
+libidzebra_isamb_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_isamb_la_SOURCES = isamb.c
AM_CPPFLAGS=-I$(srcdir)/../include $(YAZINC)
-## $Id: Makefile.am,v 1.7 2004-09-30 08:16:49 adam Exp $
+## $Id: Makefile.am,v 1.8 2006-06-26 15:11:36 marc Exp $
lib_LTLIBRARIES = libidzebra-isamc.la
+libidzebra_isamc_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_isamc_la_SOURCES = isamc.c merge.c isamc-p.h
AM_CPPFLAGS = -I$(srcdir)/../include -I$(srcdir)/../index $(YAZINC)
-## $Id: Makefile.am,v 1.3 2004-08-24 10:37:18 adam Exp $
+## $Id: Makefile.am,v 1.4 2006-06-26 15:11:37 marc Exp $
lib_LTLIBRARIES = libidzebra-isams.la
AM_CPPFLAGS = -I$(srcdir)/../include $(YAZINC)
+libidzebra_isams_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_isams_la_SOURCES = isams.c
-## $Id: Makefile.am,v 1.21 2006-06-02 13:55:55 marc Exp $
+## $Id: Makefile.am,v 1.22 2006-06-26 15:11:39 marc Exp $
common_libs = libidzebra-recctrl.la \
../data1/libidzebra-data1.la \
# The common library
lib_LTLIBRARIES = libidzebra-recctrl.la
libidzebra_recctrl_la_SOURCES = recctrl.c recgrs.c sgmlread.c rectext.c
-libidzebra_recctrl_la_LDFLAGS = -export-dynamic
+libidzebra_recctrl_la_LDFLAGS = -export-dynamic -version-info $(ZEBRALIBS_VERSION)
libidzebra_recctrl_la_LIBADD = $(STATIC_MODULE_OBJ) \
../data1/libidzebra-data1.la \
../dfa/libidzebra-dfa.la \
-## $Id: Makefile.am,v 1.13 2004-09-28 13:06:35 heikki Exp $
+## $Id: Makefile.am,v 1.14 2006-06-26 15:11:41 marc Exp $
lib_LTLIBRARIES = libidzebra-rset.la
+libidzebra_rset_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_rset_la_SOURCES = rset.c rstemp.c rsnull.c rsbool.c rsbetween.c \
rsisamc.c rsmultiandor.c rsisams.c rsisamb.c rsprox.c
-## $Id: Makefile.am,v 1.7 2006-06-21 13:29:08 marc Exp $
+## $Id: Makefile.am,v 1.8 2006-06-26 15:11:42 marc Exp $
tabdatadir = $(pkgdatadir)/tab
-tabdata_DATA = bib1.att dan1.att danbib.abs danmarc.abs danmarc.mar \
+tabdata_DATA = bib1.att dan1.att danmarc.abs danmarc.mar \
default.idx explain.abs explain.att explain.tag generic.tag gils.abs \
gils-a.est gils.att gils-b.est gils-f.est gils-g.est gils-summary.map \
gils.tag gils-usmarc.map gils-variant.est hci.flt idxpath.att mail.flt \
+++ /dev/null
-name danbib
-
-attset bib1.att
-
-elm 245 title -
-elm 245/a title title:w
-elm 245/e authortitle author-title:w,author-title:p
-elm 260 publisher -
-elm 260/? publisher publisher:w
-elm 504 notes -
-elm 504/a notes abstract:w
-elm year1 year1 date:w
-elm limit1 language code-language:w
-elm limit2 recordtype record-type:w
-## $Id: Makefile.am,v 1.18 2006-05-19 13:49:38 adam Exp $
+## $Id: Makefile.am,v 1.19 2006-06-26 15:11:43 marc Exp $
lib_LTLIBRARIES = libidzebra-util.la
AM_CPPFLAGS = -I$(srcdir)/../include $(YAZINC) -DDEFAULT_PROFILE_PATH=\"$(pkgdatadir)/tab\"
LDADD = libidzebra-util.la $(YAZLALIB)
+libidzebra_util_la_LDFLAGS=-version-info $(ZEBRALIBS_VERSION)
libidzebra_util_la_SOURCES = zint.c res.c charmap.c zebramap.c passwddb.c \
zebra-lock.c dirent.c xpath.c atoi_zn.c snippet.c flock.c attrfind.c
-; $Id: zebra.nsi,v 1.31 2006-06-07 18:26:02 adam Exp $
+; $Id: zebra.nsi,v 1.32 2006-06-26 15:11:44 marc Exp $
-!define VERSION "1.4.0"
+!define VERSION "2.0.0"
; VS 2005
!define VS_RUNTIME_DLL "c:\Program Files\Microsoft Visual Studio 8\VC\redist\x86\Microsoft.VC80.CRT\msvcr80.dll"